Mini-NDN
========

### What is Mini-NDN?

Mini-NDN is a lightweight networking emulation tool that enables testing, experimentation, and
research on the NDN platform. Mini-NDN is based on [Mini-CCNx](https://github.com/chesteve/mn-ccnx)
which is a fork of [Mininet](https://github.com/mininet/mininet).
Mini-NDN uses the [Named Data Networking Forwarding Daemon (NFD)](https://github.com/named-data/NFD)
and the [Named Data Link State Routing Protocol (NLSR)](https://github.com/named-data/NLSR) to
emulate an NDN network on a single system.

Mini-NDN is open and free software licensed under the GPL 3.0 license. Mini-NDN is free to all
users and developers. For more information about licensing details and limitations,
please refer to [COPYING.md](COPYING.md).

Mini-NDN is developed by members of the NSF-sponsored NDN project team. For more details,
please refer to [AUTHORS.md](AUTHORS.md).
Bug reports and feedback are highly appreciated and can be made through our
[Redmine site](http://redmine.named-data.net/projects/mini-ndn).

### Documentation

* [Installation](INSTALL.md)
* [Getting Started](docs/GETTING-STARTED.md)
* [Mini-NDN Edit](docs/GUI.md)
* [Running Experiments](docs/EXPERIMENTS.md)
* [Mini-NDN Redmine](http://redmine.named-data.net/projects/mini-ndn)
